------------------------------------------------------------
revno: 3357
tags: clone-5.1.44-build
committer: Georgi Kodinov <joro@sun.com>
branch nick: merge-5.1-bugteam
timestamp: Thu 2010-02-04 12:14:44 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 1810.3980.7
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.0-bugteam
    timestamp: Thu 2010-02-04 12:13:29 +0200
    message:
      tree name change
------------------------------------------------------------
revno: 3356
committer: Georgi Kodinov <joro@sun.com>
branch nick: merge-5.1-bugteam
timestamp: Wed 2010-02-03 17:27:55 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 1810.3980.6
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.0-bugteam
    timestamp: Wed 2010-02-03 17:05:06 +0200
    message:
      merge
    ------------------------------------------------------------
    revno: 1810.3974.23
    author: sunanda.menon@sun.com
    committer: MySQL Build Team <build@mysql.com>
    branch nick: mysql-5.0
    timestamp: Fri 2010-01-15 10:35:35 +0100
    message:
      Raise version number after cloning 5.0.90
------------------------------------------------------------
revno: 3355
committer: Georgi Kodinov <joro@sun.com>
branch nick: merge-5.1-bugteam
timestamp: Wed 2010-02-03 17:25:29 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 3314.1.1
    author: karen.langford@sun.com
    committer: MySQL Build Team <build@mysql.com>
    branch nick: mysql-5.1
    timestamp: Fri 2010-01-15 18:03:48 +0100
    message:
      Raise version number after cloning 5.1.43
------------------------------------------------------------
revno: 3354
committer: Kent Boortz <kent.boortz@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Wed 2010-02-03 14:52:11 +0100
message:
  Adjuster the parsing of "configure.in" version number line
------------------------------------------------------------
revno: 3353
committer: Luis Soares <luis.soares@sun.com>
branch nick: mysql-5.1-bugteam-push
timestamp: Wed 2010-02-03 12:12:51 +0000
message:
  automerge mysql-5.1-bugteam bug clone --> mysql-5.1-bugteam latest.
    ------------------------------------------------------------
    revno: 3345.1.1
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Tue 2010-02-02 15:16:47 +0000
    message:
      BUG#47639: The rpl_binlog_corruption test fails on Windows
      
      The test case rpl_binlog_corruption fails on windows because when
      adding a line to the binary log index file it gets terminated
      with a CR+LF (which btw, is the normal case in windows, but not on
      Unixes - LF). This causes mismatch between the relay log names,
      causing mysqld to report that it cannot find the log file.
      
      We fix this by creating the instrumented index file through
      mysql, ie, using SELECT ... INTO DUMPFILE ..., as opposed on
      relying on ultimatly OS commands like: -- echo "..." >
      index. These changes go into the file and make the procedure
      platform independent:
      
        include/setup_fake_relay_log.inc
      
      Side note: when using SELECT ... INTO DUMPFILE ..., one needs to
      check if mysqld is running with secure_file_priv. If it is, we do
      it in two steps: 1. create the file on the allowed location;
      2. move it to the datadir. If it is not, then we just create the
      file directly on the datadir (so previous step 2. is not needed).
------------------------------------------------------------
revno: 3352
committer: Kent Boortz <kent.boortz@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Tue 2010-02-02 23:29:14 +0100
message:
  Changes to be able to create source TAR packages with longer
  path names than 99 characters, using the USTAR format of the
  resulting source TAR.
  
  To be able to specify the use of USTAR when creating the source
  TAR, we needed both to update the GNU autotools version requirements
  slightly, and update the initiation of the tools to use more
  modern constructs.
------------------------------------------------------------
revno: 3351
committer: Georgi Kodinov <joro@sun.com>
branch nick: B50276-5.1-bugteam
timestamp: Thu 2010-01-21 17:14:10 +0200
message:
  Bug #50276: Security flaw in INFORMATION_SCHEMA.TABLES
  
  check_access() returning false for a database does not
  guarantee that the access is granted to it.
  This wrong condition in filling the INFORMATION_SCHEMA
  tables causes extra tables to be returned to the user
  even if he has no rights to see them.
  Fixed by correcting the condition.
------------------------------------------------------------
revno: 3350
committer: Georgi Kodinov <joro@sun.com>
branch nick: B49445-5.1-bugteam
timestamp: Tue 2010-02-02 18:37:56 +0200
message:
  Bug #49445: Assertion failed: 0, file .\item_row.cc, line 55 with
    fulltext search and row op.
  
  The search for fulltext indexes is searching for some special 
  predicate layouts. While doing so it's not checking for the number
  of columns of the expressions it tries to calculate.
  And since row expressions can't return a single scalar value there
  was a crash.
  Fixed by checking if the expressions are scalar (in addition to 
  being constant) before calling Item::val_xxx() methods.
------------------------------------------------------------
revno: 3349
committer: Magne Mahre <magne.mahre@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Tue 2010-02-02 16:34:32 +0100
message:
  Cleanup fix  for WL#5154 that splits commands handling for
  --default-character-set and --character-set-server such
  that only the first will give a deprecation warning.
  Apart from that, the two options should do the same.
------------------------------------------------------------
revno: 3348
committer: Alexander Nozdrin <alik@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Tue 2010-02-02 16:38:44 +0300
message:
  Revert a patch for Bug#48231, which introduced valgrind warnings.
  Original revision:
  ------------------------------------------------------------
  revision-id: li-bing.song@sun.com-20100130124925-o6sfex42b6noyc6x
  parent: joro@sun.com-20100129145427-0n79l9hnk0q43ajk
  committer: <Li-Bing.Song@sun.com>
  branch nick: mysql-5.1-bugteam
  timestamp: Sat 2010-01-30 20:49:25 +0800
  message:
    Bug #48321  CURRENT_USER() incorrectly replicated for DROP/RENAME USER;
                REVOKE/GRANT; ALTER EVENT.
    
    The following statements support the CURRENT_USER() where a user is needed.
      DROP USER 
      RENAME USER CURRENT_USER() ...
      GRANT ... TO CURRENT_USER()
      REVOKE ... FROM CURRENT_USER()
      ALTER DEFINER = CURRENT_USER() EVENT
    but, When these statements are binlogged, CURRENT_USER() just is binlogged
    as 'CURRENT_USER()', it is not expanded to the real user name. When slave 
    executes the log event, 'CURRENT_USER()' is expand to the user of slave 
    SQL thread, but SQL thread's user name always NULL. This breaks the replication.
    
    After this patch, All above statements are rewritten when they are binlogged.
    The CURRENT_USER() is expanded to the real user's name and host.
  ------------------------------------------------------------
------------------------------------------------------------
revno: 3347
committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
branch nick: mysql-5.1-bugteam
timestamp: Tue 2010-02-02 11:17:58 -0200
message:
  Fix for valgrind warning: check whether pointer was initialized.
------------------------------------------------------------
revno: 3346
committer: Georgi Kodinov <joro@sun.com>
branch nick: fix-5.1-bugteam
timestamp: Tue 2010-02-02 14:17:21 +0200
message:
  fixed various pb2 test failures on windows.
------------------------------------------------------------
revno: 3345
committer: Georgi Kodinov <joro@sun.com>
branch nick: test-5.1-bugteam
timestamp: Mon 2010-02-01 14:05:21 +0200
message:
  Made outfile_testdata experimental in 5.1-bugteam, pending the
  resulution of bug #46895.
------------------------------------------------------------
revno: 3344
committer: Georgi Kodinov <joro@sun.com>
branch nick: test-5.1-bugteam
timestamp: Mon 2010-02-01 13:50:30 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 1810.3980.5
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: test-5.0-bugteam
    timestamp: Mon 2010-02-01 13:40:16 +0200
    message:
      fixed a typo in bug #49897.
------------------------------------------------------------
revno: 3343
committer: <Li-Bing.Song@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Sat 2010-01-30 20:49:25 +0800
message:
  Bug #48321  CURRENT_USER() incorrectly replicated for DROP/RENAME USER;
              REVOKE/GRANT; ALTER EVENT.
  
  The following statements support the CURRENT_USER() where a user is needed.
    DROP USER 
    RENAME USER CURRENT_USER() ...
    GRANT ... TO CURRENT_USER()
    REVOKE ... FROM CURRENT_USER()
    ALTER DEFINER = CURRENT_USER() EVENT
  but, When these statements are binlogged, CURRENT_USER() just is binlogged
  as 'CURRENT_USER()', it is not expanded to the real user name. When slave 
  executes the log event, 'CURRENT_USER()' is expand to the user of slave 
  SQL thread, but SQL thread's user name always NULL. This breaks the replication.
  
  After this patch, All above statements are rewritten when they are binlogged.
  The CURRENT_USER() is expanded to the real user's name and host.
------------------------------------------------------------
revno: 3342
committer: Georgi Kodinov <joro@sun.com>
branch nick: fix-certs-5.1-bugteam
timestamp: Fri 2010-01-29 16:54:27 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 1810.3980.4
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: fix-certs-5.0-bugteam
    timestamp: Fri 2010-01-29 15:55:46 +0200
    message:
      Bug #50642 : ssl certs in test suite are expiring soon.
      
      Updated the certs to expire on 2015. 
      Made sure they work with both yassl and openssl.
------------------------------------------------------------
revno: 3341
committer: Tor Didriksen <tor.didriksen@sun.com>
branch nick: 5.1-bugteam-bug50271
timestamp: Thu 2010-01-28 12:10:57 +0100
message:
  Bug #50271: Debug output of JOIN structures is garbled
------------------------------------------------------------
revno: 3340
committer: Ramil Kalimullin <ramil@mysql.com>
branch nick: mysql-5.1-bugteam
timestamp: Fri 2010-01-29 15:08:49 +0400
message:
  Auto-merge.
    ------------------------------------------------------------
    revno: 1810.3980.3
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: b49897-5.0-bugteam
    timestamp: Fri 2010-01-29 13:17:57 +0400
    message:
      Fix for bug#49897: crash in ptr_compare when char(0) NOT NULL 
      column is used for ORDER BY
      
      Problem: filesort isn't meant for null length sort data
      (e.g. char(0)), that leads to a server crash.
      
      Fix: disregard sort order if sort data record length is 0 (nothing
      to sort).
------------------------------------------------------------
revno: 3339
committer: Georgi Kodinov <joro@sun.com>
branch nick: B49552-5.1-bugteam
timestamp: Fri 2010-01-29 11:36:28 +0200
message:
  Bug #49552 : sql_buffer_result cause crash + not found records
    in multitable delete/subquery
  
  SQL_BUFFER_RESULT should not have an effect on non-SELECT 
  statements according to our documentation.
  Fixed by not passing it through to multi-table DELETE (similarly
  to how it's done for multi-table UPDATE).
------------------------------------------------------------
revno: 3338
committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
branch nick: mysql-5.1-bugteam
timestamp: Thu 2010-01-28 19:51:40 -0200
message:
  Fix for compiler warnings:
  
  Rename method as to not hide a base.
  Reorder attributes initialization.
  Remove unused variable.
  Rework code to silence a warning due to assignment used as truth value.
------------------------------------------------------------
revno: 3337
committer: Andrei Elkin <aelkin@mysql.com>
branch nick: 5.1-bt-bug47142-until4x
timestamp: Thu 2010-01-28 12:22:19 +0200
message:
  merging from 5.1-bt to a local bugfix branch
    ------------------------------------------------------------
    revno: 3334.1.5
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: timenv-bt
    timestamp: Wed 2010-01-27 16:32:59 +0100
    message:
      Bug #49210 Enable MTR timeout configuration through environment variables
      Define env. vars for both timeout settings
      Also incorporated 5.0 patch into mtr version 1
    ------------------------------------------------------------
    revno: 1810.3980.2
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: timenv-50
    timestamp: Wed 2010-01-27 15:21:41 +0100
    message:
        Bug #49210 Enable MTR timeout configuration through environment variables
        Define env. vars for both timeout settings
        This patch is for 5.0 (mtr v1) and should replaces for 5.1 up
------------------------------------------------------------
revno: 3336
committer: Andrei Elkin <aelkin@mysql.com>
branch nick: 5.1-bt-bug47142-until4x
timestamp: Thu 2010-01-28 11:51:57 +0200
message:
  merging from 5.1-bt to a local bugfix branch
    ------------------------------------------------------------
    revno: 3334.1.4
    committer: Staale Smedseng <staale.smedseng@sun.com>
    branch nick: 49223-51
    timestamp: Wed 2010-01-27 16:13:39 +0100
    message:
      Bug #49223 Change help description for mysqldump
      --extended-insert
      
      Help message changed to the same as in the 5.1 online 
      documentation.
    ------------------------------------------------------------
    revno: 3334.1.3
    committer: Magne Mahre <magne.mahre@sun.com>
    branch nick: mysql-5.1-bugteam-wl5182
    timestamp: Wed 2010-01-27 13:23:28 +0100
    message:
      WL#5182 Remove more deprecated 4.1/5.0 features
            
      WL#5182 is a follow-up to WL#5154, deprecating a few more options
      and system variables.
    ------------------------------------------------------------
    revno: 3334.1.2
    committer: Staale Smedseng <staale.smedseng@sun.com>
    branch nick: 50409-51
    timestamp: Wed 2010-01-27 11:42:20 +0100
    message:
      Merging from 5.0-bugteam
        ------------------------------------------------------------
        revno: 1810.3980.1
        committer: Staale Smedseng <staale.smedseng@sun.com>
        branch nick: 50409-50
        timestamp: Wed 2010-01-27 11:38:50 +0100
        message:
          Bug#50409 Solaris 8 compatibility broken by assumption about
          printstack() being present
          
          When Bug#47391 was fixed, no assumption was made that support
          for Solaris 8 was needed. Solaris 8 lacks printstack(), and 
          the build breaks because of this.
          
          This patch adds a test for the presence of printstack() to
          configure.in for 5.0, and uses HAVE_PRINTSTACK to make
          decisions rather than the __sun define.
    ------------------------------------------------------------
    revno: 3334.1.1
    committer: <Dao-Gang.Qu@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Wed 2010-01-27 10:52:13 +0800
    message:
      Bug #49191  rpl_get_master_version_and_clock failed on PB2: COM_REGISTER_SLAVE failed
      
      The 'rpl_get_master_version_and_clock' test verifies if the slave I/O
      thread tries to reconnect to master when it tries to get the values of
      the UNIX_TIMESTAMP, SERVER_ID from master under network disconnection.
      So the master server is restarted for making the transient network
      disconnection, during the period the COM_REGISTER_SLAVE failures are
      produced in server log file when the slave I/O thread tries to
      register on master.
      
      To fix the problem, suppress COM_REGISTER_SLAVE failures in server log
      file by mtr suppression, because they are expected.
------------------------------------------------------------
revno: 3335
committer: Andrei Elkin <aelkin@mysql.com>
branch nick: 5.1-bt-bug47142-until4x
timestamp: Wed 2010-01-27 19:27:49 +0200
message:
  bug#47142
  merging patches prepared for 5.0 to 5.1-bt. That caused a few changes in the test file
    ------------------------------------------------------------
    revno: 1810.3979.2
    committer: Andrei Elkin <aelkin@mysql.com>
    branch nick: 5.0-bt-bug47142-until_catches_local_rotate-andrii
    timestamp: Wed 2010-01-27 15:20:03 +0200
    message:
      bug#47142
      improving comments
    ------------------------------------------------------------
    revno: 1810.3979.1
    committer: Andrei Elkin <aelkin@mysql.com>
    branch nick: 5.0-bt-bug47142-until_catches_local_rotate-andrii
    timestamp: Mon 2010-01-25 17:46:48 +0200
    message:
      Bug #47142 "slave start until" stops 1 event too late in 4.1 to 5.0 replication
      
      When replicating from 4.1 master to 5.0 slave START SLAVE UNTIL can stop too late.
      The necessary in calculating of the beginning of an event the event's length
      did not correspond to the master's genuine information at the event's execution time.
      That piece of info was changed at the event's relay-logging due to binlog_version<4 event
      conversion by IO thread.
      
      Fixed with storing the master genuine Query_log_event size into a new status
      variable at relay-logging of the event. The stored info is extacted at the event
      execution and participate further to caclulate the correct start position of the event
      in the until-pos stopping routine.
      The new status variable's algorithm will be only active when the event comes
      from the master of version < 5.0 (binlog_version < 4).
------------------------------------------------------------
revno: 3334
committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
branch nick: 49491-5.1
timestamp: Tue 2010-01-26 15:05:19 -0200
message:
  Bug#49491: Much overhead for MD5() and SHA1() on short strings
  
  MySQL's hash functions MD5 and SHA relied on the somewhat slow 
  sprintf function to convert the digests to hex representations.
  This patch replaces the sprintf with a specific and inline hex
  conversion function.
  
  Patch contributed by Jan Steemann.
------------------------------------------------------------
revno: 3333
committer: Luis Soares <luis.soares@sun.com>
branch nick: mysql-5.1-bugteam-push
timestamp: Tue 2010-01-26 08:55:22 +0000
message:
  automerge: mysql-5.1-bugteam branch --> mysql-5.1-bugteam latest
  
  NOTE: added TODO to the comments requested by reviewer during this
        merge.
    ------------------------------------------------------------
    revno: 3319.2.1
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2010-01-21 17:20:24 +0000
    message:
      BUG#49481: RBR: MyISAM and bit fields may cause slave to stop on delete: 
      cant find record
      
      Some engines return data for the record. Despite the fact that
      the null bit is set for some fields, their old value may still in
      the row. This can happen when unpacking an AI from the binlog on
      top of a previous record in which a field is set to NULL, which
      previously contained a value. Ultimately, this may cause the
      comparison of records to fail when the slave is doing an index or
      range scan.
      
      We fix this by deploying a call to reset() for each field that is
      set to null while unpacking a row from the binary log.
      Furthermore, we also add mixed mode test case to cover the
      scenario where updating and setting a field to null through a
      Query event and later searching it through a rows event will
      succeed.
      
      Finally, we also change the reset() method, from Field_bit class,
      so that it takes into account bits stored among the null bits and
      not only the ones stored in the record.
------------------------------------------------------------
revno: 3332
committer: Georgi Kodinov <joro@sun.com>
branch nick: fix-win-5.1-bugteam
timestamp: Tue 2010-01-26 10:47:43 +0200
message:
  fix a windows test run bug with debug binaries : dbug frame 
  should be exited before destroying the thread local storage.
------------------------------------------------------------
revno: 3331
committer: <Dao-Gang.Qu@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Mon 2010-01-25 10:55:05 +0800
message:
  Manual merge with Conflicts:
  sql_udf.cc
    ------------------------------------------------------------
    revno: 3329.1.4
    committer: He Zhenxing <zhenxing.he@sun.com>
    branch nick: 5.1-bugteam-new
    timestamp: Sun 2010-01-24 15:03:23 +0800
    message:
      Backport Bug#37148 to 5.1
    ------------------------------------------------------------
    revno: 3329.1.3
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2010-01-22 16:26:17 +0400
    message:
      Merge InnoDB snapshot with mysql-5.1-bugteam.
        ------------------------------------------------------------
        revno: 3329.2.8
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 16:23:27 +0400
        message:
          Applying InnoDB snapshot, fixes BUG#49396.
          
          Detailed revision comments:
          
          r6471 | calvin | 2010-01-16 01:43:27 +0200 (Sat, 16 Jan 2010) | 4 lines
          branches/5.1: fix bug#49396: main.innodb test fails in embedded mode
          
          Change replace_result by using $MYSQLD_DATADIR. Tested in both embedded
          mode and normal server mode.
        ------------------------------------------------------------
        revno: 3329.2.7
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 14:20:08 +0400
        message:
          Disabled innodb-autoinc-44030 due to BUG#47621.
        ------------------------------------------------------------
        revno: 3329.2.6
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 14:03:52 +0400
        message:
          Applying InnoDB snapshot 
          
          Detailed revision comments:
          
          r6492 | sunny | 2010-01-21 09:38:35 +0200 (Thu, 21 Jan 2010) | 1 line
          branches/5.1: Add reference to bug#47621 in the comment.
        ------------------------------------------------------------
        revno: 3329.2.5
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 14:03:18 +0400
        message:
          Applying InnoDB snapshot 
          
          Detailed revision comments:
          
          r6489 | sunny | 2010-01-21 02:57:50 +0200 (Thu, 21 Jan 2010) | 2 lines
          branches/5.1: Factor out test for bug#44030 from innodb-autoinc.test
          into a separate test/result files.
        ------------------------------------------------------------
        revno: 3329.2.4
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 14:02:17 +0400
        message:
          Applying InnoDB snapshot 
          
          Detailed revision comments:
          
          r6488 | sunny | 2010-01-21 02:55:08 +0200 (Thu, 21 Jan 2010) | 2 lines
          branches/5.1: Factor out test for bug#44030 from innodb-autoinc.test
          into a separate test/result files.
        ------------------------------------------------------------
        revno: 3329.2.3
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 13:57:02 +0400
        message:
          Applying InnoDB snapshot, fixes BUG#46193.
          
          Detailed revision comments:
          
          r6424 | marko | 2010-01-12 12:22:19 +0200 (Tue, 12 Jan 2010) | 16 lines
          branches/5.1: In innobase_initialize_autoinc(), do not attempt to read
          the maximum auto-increment value from the table if
          innodb_force_recovery is set to at least 4, so that writes are
          disabled. (Bug #46193)
          
          innobase_get_int_col_max_value(): Move the function definition before
          ha_innobase::innobase_initialize_autoinc(), because that function now
          calls this function.
          
          ha_innobase::innobase_initialize_autoinc(): Change the return type to
          void.  Do not attempt to read the maximum auto-increment value from
          the table if innodb_force_recovery is set to at least 4.  Issue
          ER_AUTOINC_READ_FAILED to the client when the auto-increment value
          cannot be read.
          
          rb://144 by Sunny, revised by Marko
        ------------------------------------------------------------
        revno: 3329.2.2
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 13:56:32 +0400
        message:
          Applying InnoDB snapshot 
          
          Detailed revision comments:
          
          r6422 | marko | 2010-01-12 11:34:27 +0200 (Tue, 12 Jan 2010) | 3 lines
          branches/5.1: Non-functional change:
          Make innobase_get_int_col_max_value() a static function.
          It does not access any fields of class ha_innobase.
        ------------------------------------------------------------
        revno: 3329.2.1
        committer: Sergey Vojtovich <svoj@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Fri 2010-01-22 13:55:50 +0400
        message:
          Applying InnoDB snapshot, fixes BUG#49238.
          
          Detailed revision comments:
          
          r6421 | jyang | 2010-01-12 07:59:16 +0200 (Tue, 12 Jan 2010) | 8 lines
          branches/5.1: Fix bug #49238: Creating/Dropping a temporary table
          while at 1023 transactions will cause assert. Handle possible
          DB_TOO_MANY_CONCURRENT_TRXS when deleting metadata in
          row_drop_table_for_mysql().
          
          rb://220, approved by Marko
    ------------------------------------------------------------
    revno: 3329.1.2
    committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2010-01-22 14:58:21 +0400
    message:
      Bug#49501 Inefficient information_schema check (system collation), addon
      removed wrongly introduced strlen calls
    ------------------------------------------------------------
    revno: 3329.1.1
    committer: Magne Mahre <magne.mahre@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Fri 2010-01-22 10:37:44 +0100
    message:
      Post-commit fix of two tests
      
      The WL#5154 commit added a couple of warning messages that
      was not fixed in the result files for two RPL tests.
------------------------------------------------------------
revno: 3330
committer: <Dao-Gang.Qu@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Fri 2010-01-22 17:38:21 +0800
message:
  Bug #49132  	Replication failure on temporary table + DDL
  
  In RBR, DDL statement will change binlog format to non row-based
  format before it is binlogged, but the binlog format was not be
  restored, and then manipulating a temporary table can not reset binlog
  format to row-based format rightly. So that the manipulated statement
  is binlogged with statement-based format.
  
  To fix the problem, restore the state of binlog format after the DDL
  statement is binlogged.
------------------------------------------------------------
revno: 3329
committer: Magne Mahre <magne.mahre@sun.com>
branch nick: mysql-5.1-bugteam-wl5154
timestamp: Thu 2010-01-21 09:10:05 +0100
message:
  WL#5154 Remove deprecated 4.1 features
  
  Several items said to be deprecated in the 4.1 manual
  have never been removed.  This worklog adds deprecation
  warnings when these items are used, and warns the user 
  that the items will be removed in MySQL 5.6.
  
  A couple of previously deprecation decision have been
  reversed (see single file comments)
------------------------------------------------------------
revno: 3328
committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
branch nick: mysql-5.1-bugteam
timestamp: Wed 2010-01-20 22:22:20 -0200
message:
  Apply patch on behalf of Magnus:
  
  3325 Magnus Bl?udd    2010-01-05
       Bug #49860 new compiler warning ha_archive
        - fix compiler warning by casting to ulong 
------------------------------------------------------------
revno: 3327
committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
branch nick: mysql-5.1-bugteam
timestamp: Wed 2010-01-20 22:21:18 -0200
message:
  Apply patch on behalf of the NDB team:
  
  3321 Magnus Bl?udd    2010-01-05
       BUG#44840 - ndbapi compiler warning - type qualifier ignored for function return type
        - Remove the "const"
        - NOTE! This is an ABI incompatible change for some C++ compilers, NdbApi applications
          using any of the four changed functions may need a recompile if it's using dynamic linking.
------------------------------------------------------------
revno: 3326
committer: Alfranio Correia <alfranio.correia@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Wed 2010-01-20 19:08:16 +0000
message:
  BUG#46364 MyISAM transbuffer problems (NTM problem)
  
  It is well-known that due to concurrency issues, a slave can become
  inconsistent when a transaction contains updates to both transaction and
  non-transactional tables in statement and mixed modes.
  
  In a nutshell, the current code-base tries to preserve causality among the
  statements by writing non-transactional statements to the txn-cache which
  is flushed upon commit. However, modifications done to non-transactional
  tables on behalf of a transaction become immediately visible to other
  connections but may not immediately get into the binary log and therefore
  consistency may be broken.
  
  In general, it is impossible to automatically detect causality/dependency
  among statements by just analyzing the statements sent to the server. This
  happen because dependency may be hidden in the application code and it is
  necessary to know a priori all the statements processed in the context of
  a transaction such as in a procedure. Moreover, even for the few cases that
  we could automatically address in the server, the computation effort
  required could make the approach infeasible.
  
  So, in this patch we introduce the option
      - "--binlog-direct-non-transactional-updates" that can be used to bypass
      the current behavior in order to write directly to binary log statements
      that change non-transactional tables.
------------------------------------------------------------
revno: 3325
committer: Mattias Jonsson <mattias.jonsson@sun.com>
branch nick: topush-51-bugteam
timestamp: Tue 2010-01-19 17:02:51 +0100
message:
  post-push patch for bug#47343.
  
  Missing ha_rnd_end in copy_partitions, found due to a
  DBUG_ASSERT in mysql-pe
------------------------------------------------------------
revno: 3324
committer: Georgi Kodinov <joro@sun.com>
branch nick: B49512-5.1-bugteam
timestamp: Wed 2009-12-23 17:11:22 +0200
message:
  Bug #49512 : subquery with aggregate function crash
    subselect_single_select_engine::exec()
  
  When a subquery doesn't need to be evaluated because
  it returns only aggregate functions and these aggregates
  can be calculated from the metadata about the table it
  was not updating all the relevant members of the JOIN 
  structure to reflect that this is a constant query.
  This caused problems to the enclosing subquery 
  ('<> SOME' in the test case above) trying to read some
  data about the tables.
  
  Fixed by setting const_tables to the number of tables 
  when the SELECT is optimized away.
------------------------------------------------------------
revno: 3323
committer: Georgi Kodinov <joro@sun.com>
branch nick: B45989-5.1-bugteam
timestamp: Tue 2010-01-19 14:48:41 +0200
message:
  revert of the fix for bug #45989: pushed by mistake.
------------------------------------------------------------
revno: 3322
committer: Mattias Jonsson <mattias.jonsson@sun.com>
branch nick: topush-51-bugteam
timestamp: Tue 2010-01-19 12:18:48 +0100
message:
  merge
    ------------------------------------------------------------
    revno: 3315.1.1
    committer: Mattias Jonsson <mattias.jonsson@sun.com>
    branch nick: b47343-51-bt
    timestamp: Mon 2010-01-18 17:49:18 +0100
    message:
      Bug#47343: InnoDB fails to clean-up after lock wait timeout on
                 REORGANIZE PARTITION
      
      There were several problems which lead to this this,
      all related to bad error handling.
      
      1) There was several bugs preventing the ddl-log to be used for
         cleaning up created files on error.
      
      2) The error handling after the copy partition rows did not close
         and unlock the tables, resulting in deletion of partitions
         which were in use, which lead InnoDB to put the partition to
         drop in a background queue.
------------------------------------------------------------
revno: 3321
committer: Georgi Kodinov <joro@sun.com>
branch nick: B45989-5.1-bugteam
timestamp: Tue 2010-01-19 12:45:34 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 3319.1.1
    committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Tue 2010-01-19 13:03:40 +0400
    message:
      Bug#49501 Inefficient information_schema check (system collation)
      added check_length optimization for I_S_NAME comparison
------------------------------------------------------------
revno: 3320
committer: Georgi Kodinov <joro@sun.com>
branch nick: B45989-5.1-bugteam
timestamp: Mon 2010-01-18 17:50:46 +0200
message:
  Bug #45989 take 2 : memory leak after explain encounters an
  error in the query.
  
  Fixes a leak after materializing a GROUP BY subquery to a 
  temp table when the subquery has a blob column in the SELECT
  list.
  Fixed by correctly destructing temporary buffers after doing
  the conversion.
------------------------------------------------------------
revno: 3319
committer: Luis Soares <luis.soares@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Tue 2010-01-19 00:10:00 +0000
message:
  Fix for BUG#49481 and BUG#49482 reverted.
  
  PB2 run uncovered issue that needs further analysis.
------------------------------------------------------------
revno: 3318
committer: Mattias Jonsson <mattias.jonsson@sun.com>
branch nick: topush-51-bugteam
timestamp: Sun 2010-01-17 22:00:37 +0100
message:
  merge
    ------------------------------------------------------------
    revno: 3289.1.4
    committer: Mattias Jonsson <mattias.jonsson@sun.com>
    branch nick: b49742-51-bugteam
    timestamp: Tue 2009-12-22 18:59:37 +0100
    message:
      Bug#49742: Partition Pruning not working correctly for RANGE
      
      Problem was when calculating the range of partitions for
      pruning.
      
      Solution was to get the calculation correct. I also simplified
      it a bit for easier understanding.
------------------------------------------------------------
revno: 3317
committer: <Li-Bing.Song@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Sat 2010-01-16 15:44:24 +0800
message:
  BUG#47418 RBR fails, failure with mixup of base/temporary/view 
  
  'CREATE TABLE IF NOT EXISTS ... SELECT' statement were causing 'CREATE
  TEMPORARY TABLE ...' to be written to the binary log in row-based 
  mode (a.k.a. RBR), when there was a temporary table with the same name.
  Because the 'CREATE TABLE ... SELECT' statement was executed as 
  'INSERT ... SELECT' into the temporary table. Since in RBR mode no 
  other statements related to temporary tables are written into binary log,
  this sometimes broke replication.
  
  This patch changes behavior of 'CREATE TABLE [IF NOT EXISTS] ... SELECT ...'.
  it ignores existence of temporary table with the 
  same name as table being created and is interpreted
  as attempt to create/insert into base table. This makes behavior of
  'CREATE TABLE [IF NOT EXISTS] ... SELECT' consistent with
  how ordinary 'CREATE TABLE' and 'CREATE TABLE ... LIKE' behave.
------------------------------------------------------------
revno: 3316
committer: Georgi Kodinov <joro@sun.com>
branch nick: B46175-5.1-bugteam
timestamp: Fri 2010-01-15 16:09:20 +0200
message:
  Bug #46175: NULL read_view and consistent read assertion
  
  The optimizer must not continue executing the current query
  if e.g. the storage engine reports an error.
  This is somewhat hard to implement with Item::val_xxx()
  because they do not have means to return error code.
  This is why we need to check the thread's error state after
  a call to one of the Item::val_xxx() methods.
  
  Fixed store_key_item::copy_inner() to return an error state 
  if an error happened during the call to Item::save_in_field() 
  because it calls Item::val_xxx().
  Also added similar checks to related places.
------------------------------------------------------------
revno: 3315
committer: Georgi Kodinov <joro@sun.com>
branch nick: merge-5.1-bugteam
timestamp: Fri 2010-01-15 11:06:46 +0200
message:
  merge
    ------------------------------------------------------------
    revno: 3302.1.5
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2010-01-14 14:26:51 +0000
    message:
      Fix for BUG#49481 and BUG#49482.
      
      BUG#49481: RBR: MyISAM and bit fields may cause slave to stop on delete: 
      cant find record
            
      BUG#49482: RBR: Replication may break on deletes when MyISAM tables + 
      char field are used
      
      When using MyISAM tables, despite the fact that the null bit is
      set for some fields, their old value is still in the row. This
      can cause the comparison of records to fail when the slave is
      doing an index or range scan.
      
      We fix this by avoiding memcmp for MyISAM tables when comparing
      records. Additionally, when comparing field by field, we first
      check if both fields are not null and if so, then we compare
      them. If just one field is null we return failure immediately. If
      both fields are null, we move on to the next field.
    ------------------------------------------------------------
    revno: 3302.1.4
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: mysql-5.1-bugteam-push
    timestamp: Thu 2010-01-14 10:49:40 +0000
    message:
      BUG#50018: binlog corruption when table has many columns
      
      Small fix in the test case. Changed the UNLOCK tables 
      to happen after each insert.
    ------------------------------------------------------------
    revno: 3302.1.3
    committer: Luis Soares <luis.soares@sun.com>
    branch nick: mysql-5.1-bugteam-push
    timestamp: Thu 2010-01-14 10:47:23 +0000
    message:
      BUG#50018: automerge from 5.1-bt local --> 5.1-bt local latest.
        ------------------------------------------------------------
        revno: 3302.2.2
        committer: Luis Soares <luis.soares@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Thu 2010-01-07 17:45:54 +0000
        message:
          BUG#50018: binlog corruption when table has many columns
          
          Some improvements on the test case as suggested during review.
        ------------------------------------------------------------
        revno: 3302.2.1
        committer: Luis Soares <luis.soares@sun.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2010-01-06 00:44:31 +0000
        message:
          BUG#50018: binlog corruption when table has many columns
          
          For tables with metadata sizes ranging from 251 to 255 the size
          of the event data (m_data_size) was being improperly calculated
          in the Table_map_log_event constructor. This was due to the fact
          that when writing the Table_map_log_event body (in
          Table_map_log_event::write_data_body) a call to net_store_length
          is made for packing the m_field_metadata_size. It happens that
          net_store_length uses *one* byte for storing
          m_field_metadata_size when it is smaller than 251 but *three*
          bytes when it exceeds that value. BUG 42749 had already
          pinpointed and fix this fact, but the fix was incomplete, as the
          calculation in the Table_map_log_event constructor considers 255
          instead of 251 as the threshold to increment m_data_size by
          three. Thence, the window for having a mismatch between the
          number of bytes written and the number of bytes accounted in the
          event length (m_data_size) was left open for
          m_field_metadata_size values between 251 and 255.
          
          We fix this by changing the condition in the Table_map_log_event
          constructor to match the one in the net_store_length, ie,
          increment one byte if m_field_metadata_size < 251 and three if it
          exceeds this value.
    ------------------------------------------------------------
    revno: 3302.1.2
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Wed 2010-01-13 15:01:49 +0100
    message:
      automerge
    ------------------------------------------------------------
    revno: 3302.1.1
    committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Wed 2010-01-13 12:39:00 +0100
    message:
      Bug#33982 debug assertion and crash reloading grant tables after sighup or kill
      
      In certain rare cases when a process was interrupted
      during a FLUSH PRIVILEGES operation the diagnostic
      area would be set to an error state but the function
      responsible for the operation would still signal
      success. This would lead to a debug assertion error
      later on when the server would attempt to reset the
      DA before sending the error message.
      
      This patch fixes the issue by assuring that
      reload_acl_and_cache() always fails if an error
      condition is raised.
      
      The second issue was that a KILL could cause
      a console error message which referred to a DA
      state without first making sure that such a
      state existed.
      
      This patch fixes this issue in two different
      palces by first checking DA state before
      fetching the error message.
      
       
------------------------------------------------------------
revno: 3314
tags: mysql-5.1.43, clone-5.1.43-build
committer: Georgi Kodinov <joro@sun.com>
branch nick: merge-5.1-bugteam
timestamp: Fri 2010-01-15 10:51:39 +0200
message:
  merge of version change.
  Added not_embedded to the new dbug_sync test file.
    ------------------------------------------------------------
    revno: 1810.3974.22
    tags: mysql-5.0.90, clone-5.0.90-build
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.0-bugteam
    timestamp: Thu 2010-01-14 10:24:02 +0200
    message:
      version change
